| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
ADT
ADT.CircularList

# Method ADT.CircularList()->delete_value()

Method delete_value

  `int delete_value(mixed value)`

Description

  Remove the first occurrence of the value value from the list.

Parameter `value`

  The value to remove from the list.

Returns

  The index of the removed element or -1 if there was no value to remove.